## GimpOldWidgets GimpOldWidgets — Old API that is still available but declared as deprecated. |

## Functions

GtkWidget * | gimp_int_option_menu_new ()
void | gimp_int_option_menu_set_history ()
gboolean | (*GimpIntOptionMenuSensitivityCallback) ()
void | gimp_int_option_menu_set_sensitive ()
GtkWidget * | gimp_option_menu_new ()
GtkWidget * | gimp_option_menu_new2 ()
void | gimp_option_menu_set_history ()
gboolean | (*GimpOptionMenuSensitivityCallback) ()
void | gimp_option_menu_set_sensitive ()
void | gimp_menu_item_update ()
void | gimp_toggle_button_sensitive_update ()
GtkWidget * | gimp_pixmap_button_new ()
void | gimp_unit_menu_update ()

## Description

These functions are not defined if you #define GIMP_DISABLE_DEPRECATED.

## Functions

### gimp_int_option_menu_new ()

    GtkWidget *
    gimp_int_option_menu_new (gboolean menu_only,
                              GCallback menu_item_callback,
                              gpointer menu_item_callback_data,
                              gint initial);

`gimp_int_option_menu_new` is deprecated and should not be used in newly-written code.

Convenience function to create a GtkOptionMenu or a GtkMenu. This function does the same thing as the deprecated function `gimp_option_menu_new2()`, but it takes integers as `item_data` instead of pointers, since that is a very common case (mapping an enum to a menu).

#### Parameters

menu_only | `TRUE` if the function should return a GtkMenu only. |
menu_item_callback | The callback each menu item's "activate" signal will be connected with. |
menu_item_callback_data | The data which will be passed to `g_signal_connect()`. |
initial | The `item_data` of the initially selected menu item. |
... | A `NULL`-terminated `va_list` describing the menu items. |

#### Returns

A GtkOptionMenu or a GtkMenu (depending on `menu_only` ).

### gimp_int_option_menu_set_history ()

    void
    gimp_int_option_menu_set_history (GtkOptionMenu *option_menu,
                                      gint item_data);

`gimp_int_option_menu_set_history` is deprecated and should not be used in newly-written code.

Iterates over all entries in a GtkOptionMenu and selects the one with the matching `item_data` . Probably only makes sense to use with a GtkOptionMenu that was created using `gimp_int_option_menu_new()`. This function does the same thing as `gimp_option_menu_set_history()`, but takes integers as `item_data` instead of pointers.

#### Parameters

option_menu | A GtkOptionMenu as returned by `gimp_int_option_menu_new()`. |
item_data | The `item_data` of the menu item you want to select. |

### GimpIntOptionMenuSensitivityCallback ()

    gboolean
    (*GimpIntOptionMenuSensitivityCallback)
                                   (gint item_data,
                                    gpointer callback_data);

`GimpIntOptionMenuSensitivityCallback` is deprecated and should not be used in newly-written code.

### gimp_int_option_menu_set_sensitive ()

    void
    gimp_int_option_menu_set_sensitive (GtkOptionMenu *option_menu,
                                        GimpIntOptionMenuSensitivityCallback callback,
                                        gpointer callback_data);

`gimp_int_option_menu_set_sensitive` is deprecated and should not be used in newly-written code.

Calls the given `callback` for each item in the menu and passes it the item_data and the `callback_data` . The menu item's sensitivity is set according to the return value of this function. This function does the same thing as `gimp_option_menu_set_sensitive()`, but takes integers as `item_data` instead of pointers.

#### Parameters

option_menu | a GtkOptionMenu as returned by `gimp_option_menu_new()` or `gimp_option_menu_new2()`. |
callback | a function called for each item in the menu to determine the the sensitivity state. |
callback_data | data to pass to the `callback` function. |

### gimp_option_menu_new ()

    GtkWidget *
    gimp_option_menu_new (gboolean menu_only);

`gimp_option_menu_new` is deprecated and should not be used in newly-written code.

Convenience function to create a GtkOptionMenu or a GtkMenu.

#### Parameters

menu_only | `TRUE` if the function should return a GtkMenu only. |
... | A `NULL`-terminated `va_list` describing the menu items. |

#### Returns

A GtkOptionMenu or a GtkMenu (depending on `menu_only` ).

### gimp_option_menu_new2 ()

    GtkWidget *
    gimp_option_menu_new2 (gboolean menu_only,
                           GCallback menu_item_callback,
                           gpointer menu_item_callback_data,
                           gpointer initial);

`gimp_option_menu_new2` is deprecated and should not be used in newly-written code.

Convenience function to create a GtkOptionMenu or a GtkMenu.

#### Parameters

menu_only | `TRUE` if the function should return a GtkMenu only. |
menu_item_callback | The callback each menu item's "activate" signal will be connected with. |
menu_item_callback_data | The data which will be passed to `g_signal_connect()`. |
initial | The `item_data` of the initially selected menu item. |
... | A `NULL`-terminated `va_list` describing the menu items. |

#### Returns

A GtkOptionMenu or a GtkMenu (depending on `menu_only` ).

### gimp_option_menu_set_history ()

    void
    gimp_option_menu_set_history (GtkOptionMenu *option_menu,
                                  gpointer item_data);

`gimp_option_menu_set_history` is deprecated and should not be used in newly-written code.

Iterates over all entries in a GtkOptionMenu and selects the one with the matching `item_data` . Probably only makes sense to use with a GtkOptionMenu that was created using `gimp_option_menu_new()` or `gimp_option_menu_new2()`.

#### Parameters

option_menu | A GtkOptionMenu as returned by `gimp_option_menu_new()` or `gimp_option_menu_new2()`. |
item_data | The `item_data` of the menu item you want to select. |

### GimpOptionMenuSensitivityCallback ()

    gboolean
    (*GimpOptionMenuSensitivityCallback) (gpointer item_data,
                                          gpointer callback_data);

`GimpOptionMenuSensitivityCallback` is deprecated and should not be used in newly-written code.

### gimp_option_menu_set_sensitive ()

    void
    gimp_option_menu_set_sensitive (GtkOptionMenu *option_menu,
                                    GimpOptionMenuSensitivityCallback callback,
                                    gpointer callback_data);

`gimp_option_menu_set_sensitive` is deprecated and should not be used in newly-written code.

Calls the given `callback` for each item in the menu and passes it the item_data and the `callback_data` . The menu item's sensitivity is set according to the return value of this function.

#### Parameters

option_menu | a GtkOptionMenu as returned by `gimp_option_menu_new()` or `gimp_option_menu_new2()`. |
callback | a function called for each item in the menu to determine the the sensitivity state. |
callback_data | data to pass to the `callback` function. |

### gimp_menu_item_update ()

    void
    gimp_menu_item_update (GtkWidget *widget,
                           gpointer data);

`gimp_menu_item_update` is deprecated and should not be used in newly-written code.

#### Parameters

widget | A GtkMenuItem. |
data | A pointer to a gint variable which will store the value of GPOINTER_TO_INT (g_object_get_data (`widget` , "gimp-item-data")). |

### gimp_toggle_button_sensitive_update ()

    void
    gimp_toggle_button_sensitive_update (GtkToggleButton *toggle_button);

`gimp_toggle_button_sensitive_update` is deprecated and should not be used in newly-written code.

use `g_object_bind_property()` instead of using the "set_sensitive" and "inverse_sensitive" data pointers.

If you attached a pointer to a GtkWidget with `g_object_set_data()` and the "set_sensitive" key to the GtkToggleButton, the sensitive state of the attached widget will be set according to the toggle button's "active" state.

You can attach an arbitrary list of widgets by attaching another "set_sensitive" data pointer to the first widget (and so on...).

This function can also set the sensitive state according to the toggle button's inverse "active" state by attaching widgets with the "inverse_sensitive" key.

#### Parameters

toggle_button | The GtkToggleButton the "set_sensitive" and "inverse_sensitive" lists are attached to. |

### gimp_pixmap_button_new ()

    GtkWidget *
    gimp_pixmap_button_new (gchar **xpm_data,
                            const gchar *text);

`gimp_pixmap_button_new` is deprecated and should not be used in newly-written code.

Convenience function that creates a GtkButton with a GimpPixmap and an optional GtkLabel.

#### Parameters

xpm_data | The XPM data which will be passed to `gimp_pixmap_new()`. |
text | An optional text which will appear right of the pixmap. |

#### Returns

The new GtkButton.

### gimp_unit_menu_update ()

    void
    gimp_unit_menu_update (GtkWidget *widget,
                           gpointer data);

`gimp_unit_menu_update` is deprecated and should not be used in newly-written code.

use GimpUnitComboBox instead.

This callback can set the number of decimal digits of an arbitrary number of GtkSpinButton's. To use this functionality, attach the spinbuttons as list of data pointers attached with `g_object_set_data()` with the "set_digits" key.

See `gimp_toggle_button_sensitive_update()` for a description of how to set up the list.

#### Parameters

widget | A GimpUnitMenu. |
data | A pointer to a GimpUnit variable which will store the unit menu's value. |

## See Also

GimpIntComboBox